classification
Title: Pydoc touchups in new browser for 3.2
Type: behavior Stage:
Components: Library (Lib) Versions: Python 3.2
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: georg.brandl Nosy List: eric.araujo, ezio.melotti, georg.brandl, rhettinger, ron_adam
Priority: release blocker Keywords: patch

Created on 2011-01-20 17:48 by ron_adam, last changed 2011-01-30 08:37 by georg.brandl. This issue is now closed.

Files
File name Uploaded Description Edit
pydoc_misc_fix_d.diff ron_adam, 2011-01-24 00:10 a few minor cleanups
pydoc_misc_fix_e.diff ron_adam, 2011-01-30 06:28 a few minor cleanups
Messages (10)
msg126633 - (view) Author: Ron Adam (ron_adam) * Date: 2011-01-20 17:48
A collection of small fix's that only effect the new browser mode.

* Change title of html pages from "Python ..." to "PyDoc ...".
    
* Fixed unterminated div float for items returned without a header.
     example: str, None, True, False
    
* Added "topic?key=..." url command to explicitly get topics.  This is to avoid the shadowing when an object has the same name as a topic.

* Nicer parsing and error handling in the url handler.
msg126634 - (view) Author: Ron Adam (ron_adam) * Date: 2011-01-20 18:01
new patch...

Adjusted a comment in the _gettopic method.

Everything else the same.
msg126670 - (view) Author: Ron Adam (ron_adam) * Date: 2011-01-21 00:38
A few last minute changes.. I think this will be all.

Run topic contents through html.markup.  That makes ref:, pep:, and html: links if they exist.  (I meant to this earlier.)

Fix case where topic reference links are to objects rather than another topic.  (applies to keywords also.)

Skips making an empty reference section if there are no references with a topic.

These are all small changes, and nothing should be controversial in this as everything changed only effects the new html browser mode.
msg126701 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2011-01-21 07:10
Sigh... that might have come a little earlier.

As it is, I'll review it before rc2.
msg126767 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-01-21 18:49
Some comments on http://codereview.appspot.com/4090042
msg126793 - (view) Author: Ron Adam (ron_adam) * Date: 2011-01-21 23:18
George, My apologies to you for the late corrections.  And thanks for doing this.

Eric, I replied to your comments on Rietveld.  Thanks for taking a look.

I'll wait until you have a chance to reply and test it, then upload a new patch with any needed changes.

Ron
msg126910 - (view) Author: Ron Adam (ron_adam) * Date: 2011-01-24 00:10
Ok, after input from Eric,  Here is another patch.

Removed a set of unneeded parentheses.

Changed the title of the pages from PyDoc to Pydoc.

A better fix for the uncaught floats.  Wrap the main content in div with style="clear:both;". Should work on nearly everything.  Also avoided floating the "get" and "search" form inputs.  That was causing them to separate too much in IE.


To summarize ...

Minor fixes for new browser mode only.

Fix float problems with the navbar.
Change html page titles to "Pydoc" instead of "Python".
Call html.markup() on topic contents.
Fix topic/object shadowing.
Improved error handling. (Part of the shadowing fix.)
msg127469 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-01-29 19:14
Replied on Rietveld.

Ezio, I think you have good HTML/CSS knowledge, so I’m adding you to nosy.  If you could read the short discussion and Rietveld and weigh in, it would be very helpful.
msg127519 - (view) Author: Ron Adam (ron_adam) * Date: 2011-01-30 06:28
New and hopefully last patch... pydoc_misc_fix_e.diff

I removed the .html in the ?key= links as Eric suggested.

I checked the navbar float behavior on browsershots.org.  Multiple versions of MSIE, firefox, opera, chrome, and safari were tested on Ubuntu and Windows XP.  They all looked very close to each other. Better than I expected. :-)

As for clearing floats, there is the html clear="all" attribute, and a css style="clear:both;".  The browsershots.org tests confirms style="clear:both;" works as it should where I used it.

Cheers, and hopefully this is ready to go.  I believe it is.
msg127521 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2011-01-30 08:37
I fixed two instances of missing HTML escaping and committed as r88261.  The code should be checked thoroughly for more such missing escaping.
History
Date User Action Args
2011-01-30 08:37:40georg.brandlsetstatus: open -> closed

messages: + msg127521
resolution: fixed
nosy: georg.brandl, rhettinger, ron_adam, ezio.melotti, eric.araujo
2011-01-30 06:28:00ron_adamsetfiles: + pydoc_misc_fix_e.diff
nosy: georg.brandl, rhettinger, ron_adam, ezio.melotti, eric.araujo
messages: + msg127519
2011-01-29 19:14:11eric.araujosetnosy: + ezio.melotti
messages: + msg127469
2011-01-24 00:10:54ron_adamsetfiles: + pydoc_misc_fix_d.diff
nosy: georg.brandl, rhettinger, ron_adam, eric.araujo
messages: + msg126910
2011-01-24 00:10:24ron_adamsetfiles: - pydoc_misc_fix_c.diff
nosy: georg.brandl, rhettinger, ron_adam, eric.araujo
2011-01-21 23:18:36ron_adamsetnosy: georg.brandl, rhettinger, ron_adam, eric.araujo
messages: + msg126793
2011-01-21 18:49:30eric.araujosetnosy: georg.brandl, rhettinger, ron_adam, eric.araujo
messages: + msg126767
2011-01-21 07:10:19georg.brandlsetpriority: normal -> release blocker

messages: + msg126701
assignee: georg.brandl
nosy: georg.brandl, rhettinger, ron_adam, eric.araujo
2011-01-21 00:44:17ron_adamsetnosy: + rhettinger, eric.araujo
2011-01-21 00:39:44ron_adamsetfiles: - pydoc_misc_fix.diff
2011-01-21 00:38:33ron_adamsetfiles: + pydoc_misc_fix_c.diff

messages: + msg126670
2011-01-20 18:01:28ron_adamsetfiles: - pydoc_misc_fix.diff
2011-01-20 18:01:10ron_adamsetfiles: + pydoc_misc_fix.diff

messages: + msg126634
2011-01-20 17:48:53ron_adamcreate